import { ExtractPropTypes, PropType } from 'vue';
export declare const buttonProps: {
    readonly type: {
        readonly type: PropType<"default" | "success" | "warning" | "primary" | "danger">;
        readonly default: "default";
        readonly validator: (value: string) => boolean;
    };
    readonly size: {
        readonly type: PropType<"small" | "large" | "medium">;
        readonly default: "medium";
        readonly validator: (value: string) => boolean;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
};
export type ButtonProps = ExtractPropTypes<typeof buttonProps>;
