/// <reference types="node" />
export interface MessageOptions {
    content: string;
    type?: 'info' | 'success' | 'warning' | 'error';
    duration?: number;
}
export interface MessageInstance extends MessageOptions {
    messageId: number;
    timer: NodeJS.Timeout | null;
    pause: () => void;
    resume: () => void;
    destroy: () => void;
}
