import type { NiConfig } from './types';
export declare function useNiConfig(): {
    config: import("vue").ComputedRef<{
        logoName?: [string, string] | undefined;
        messageOnMounted?: boolean | undefined;
        name?: string | undefined;
        size?: "small" | "default" | "large" | undefined;
        zIndex?: number | undefined;
        namespace?: string | undefined;
    }>;
    get: (key: keyof NiConfig) => string | number | boolean | [string, string] | undefined;
    set: (key: keyof NiConfig, value: any) => void;
};
