import { ExtractPropTypes, PropType } from 'vue';
export declare const logoProps: {
    readonly logoName: {
        readonly type: PropType<string[]>;
    };
    readonly type: {
        readonly type: PropType<"default" | "primary">;
        readonly default: "default";
        readonly validator: (value: string) => boolean;
    };
    readonly size: {
        readonly type: PropType<"small" | "large" | "medium">;
        readonly default: "medium";
        readonly validator: (value: string) => boolean;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
};
export type LogoProps = ExtractPropTypes<typeof logoProps>;
